# -*- coding: utf-8 -*-
# Generated by Django 1.10.7 on 2017-12-01 14:51
from __future__ import unicode_literals

import django.db.models.deletion
from django.db import migrations, models


# noinspection PyUnusedLocal
# noinspection PyPep8Naming
def create_default_study_columns(apps, schema_editor):
    # We can't import the Study model directly as it may be a newer
    # version than this migration expects. We use the historical version.
    StudyColumns = apps.get_model("web", "StudyColumns")
    study_columns = StudyColumns.objects.create()
    study_columns.postponed = False
    study_columns.datetime_contact_reminder = False
    study_columns.type = True
    study_columns.default_location = True
    study_columns.flying_team = False
    study_columns.screening_number = True
    study_columns.nd_number = True
    study_columns.mpower_id = False
    study_columns.comments = False
    study_columns.referral = False
    study_columns.diagnosis = False
    study_columns.year_of_diagnosis = False
    study_columns.information_sent = True
    study_columns.pd_in_family = False
    study_columns.resigned = True
    study_columns.resign_reason = False
    study_columns.save()


class Migration(migrations.Migration):
    dependencies = [
        ('web', '0075_auto_20171201_1252'),
    ]

    operations = [
        migrations.CreateModel(
            name='StudySubjectList',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(blank=True,
                                          choices=[(b'GENERIC', b'Generic'), (b'NO_VISIT', b'Subjects without visit'),
                                                   (b'REQUIRE_CONTACT', b'Subjects required contact')], max_length=50,
                                          null=True, verbose_name=b'Type o list')),
                ('study', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='web.Study')),
                ('visible_columns',
                 models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='web.StudyColumns')),
            ],
        ),
        migrations.RunPython(create_default_study_columns),
        migrations.RunSQL('insert into web_studysubjectlist (study_id, visible_columns_id, type) ' +
                          "select 1, max(id), 'GENERIC' from web_studycolumns;"),
    ]
