# coding=utf-8

import logging

from django.conf import settings
from django.core import mail
from django.core.mail import EmailMessage

logger = logging.getLogger(__name__)


class EmailSender(object):
    def send_email(self, subject, body, recipients, cc_recipients=None):
        if cc_recipients is None:
            cc_recipients = []
        email_from = getattr(settings, "DEFAULT_FROM_EMAIL", None)
        recipient_list = []
        for recipient in recipients.split(";"):
            recipient_list.append(recipient)
        cc_recipients.append(email_from)

        message = EmailMessage(
            subject,
            body,
            email_from,
            recipient_list,
            cc=cc_recipients
        )
        message.content_subtype = "html"
        message.send()
        logger.info('Email sent. Subject: ' + subject + "; Recipients: " + recipients)
